Loading...
Searching...
No Matches
data_request.h File Reference
`#include <datawizard/coherency.h>`
`#include <semaphore.h>`
`#include <datawizard/copy_driver.h>`
`#include <common/list.h>`
`#include <common/prio_list.h>`
`#include <common/starpu_spinlock.h>`

Go to the source code of this file.

## Data Structures

struct | _starpu_callback_list

## Macros

#define | MAX_PENDING_REQUESTS_PER_NODE
#define | MAX_PENDING_PREFETCH_REQUESTS_PER_NODE
#define | MAX_PENDING_IDLE_REQUESTS_PER_NODE
#define | MAX_PUSH_TIME

## Macro Definition Documentation

## MAX_PUSH_TIME

#define MAX_PUSH_TIME

Maximum time in us that we can afford pushing requests before going back to the driver loop, e.g. for checking GPU task termination